workflow:
  rules:
    # Skip the pipeline if the current branch has an open merge request
    - if: '$CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS'
      when: never
    - when: always

variables:
  DOCKER_CONTEXT: src

include:
  - component: gitlab.com/rxap/gitlab-ci/base@~latest
  - component: gitlab.com/rxap/gitlab-ci/release-it@~latest
    inputs:
      auto_release_changes:
        - src/**
  - component: gitlab.com/rxap/gitlab-ci/docker@~latest
    inputs:
      version: 6.2.1
      matrix:
        - BUILD_ARG_NODE_TAG: 18.17-alpine
          IMAGE_SUFFIX: /18.17-alpine
        - BUILD_ARG_NODE_TAG: 18.19-alpine
          IMAGE_SUFFIX: /18.19-alpine
        - BUILD_ARG_NODE_TAG: 18-alpine
          IMAGE_SUFFIX: /18-alpine
        - BUILD_ARG_NODE_TAG: 20.11-alpine
          IMAGE_SUFFIX: /20.11-alpine
        - BUILD_ARG_NODE_TAG: 20-alpine
          IMAGE_SUFFIX: /20-alpine
        - BUILD_ARG_NODE_TAG: 21-alpine
          IMAGE_SUFFIX: /21-alpine
    rules:
    - if: '$RELEASE_IT == "true"'
      when: never
    - if: '$CI_COMMIT_BRANCH && $CI_COMMIT_MESSAGE =~ /^release:/'
      when: never
    - if: '$CI_COMMIT_BRANCH =~ /^renovate\// && $CI_PIPELINE_SOURCE == "merge_request_event"'
      when: never
    - when: always
